

# ListPackageGroups
<a name="API_ListPackageGroups"></a>

Returns a list of package groups in the requested domain.

## Request Syntax
<a name="API_ListPackageGroups_RequestSyntax"></a>

```
POST /v1/package-groups?domain=domain&domain-owner=domainOwner&max-results=maxResults&next-token=nextToken&prefix=prefix HTTP/1.1
```

## URI Request Parameters
<a name="API_ListPackageGroups_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domain](#API_ListPackageGroups_RequestSyntax) **   <a name="codeartifact-ListPackageGroups-request-uri-domain"></a>
 The domain for which you want to list package groups.   
Length Constraints: Minimum length of 2. Maximum length of 50.  
Pattern: `[a-z][a-z0-9\-]{0,48}[a-z0-9]`   
Required: Yes

 ** [domainOwner](#API_ListPackageGroups_RequestSyntax) **   <a name="codeartifact-ListPackageGroups-request-uri-domainOwner"></a>
 The 12-digit account number of the AWS account that owns the domain. It does not include dashes or spaces.   
Length Constraints: Fixed length of 12.  
Pattern: `[0-9]{12}` 

 ** [maxResults](#API_ListPackageGroups_RequestSyntax) **   <a name="codeartifact-ListPackageGroups-request-uri-maxResults"></a>
 The maximum number of results to return per page.   
Valid Range: Minimum value of 1. Maximum value of 1000.

 ** [nextToken](#API_ListPackageGroups_RequestSyntax) **   <a name="codeartifact-ListPackageGroups-request-uri-nextToken"></a>
 The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.   
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `\S+` 

 ** [prefix](#API_ListPackageGroups_RequestSyntax) **   <a name="codeartifact-ListPackageGroups-request-uri-prefix"></a>
 A prefix for which to search package groups. When included, `ListPackageGroups` will return only package groups with patterns that match the prefix.   
Length Constraints: Minimum length of 0. Maximum length of 520.  
Pattern: `\P{C}*` 

## Request Body
<a name="API_ListPackageGroups_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListPackageGroups_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "packageGroups": [ 
      { 
         "arn": "string",
         "contactInfo": "string",
         "createdTime": number,
         "description": "string",
         "domainName": "string",
         "domainOwner": "string",
         "originConfiguration": { 
            "restrictions": { 
               "string" : { 
                  "effectiveMode": "string",
                  "inheritedFrom": { 
                     "arn": "string",
                     "pattern": "string"
                  },
                  "mode": "string",
                  "repositoriesCount": number
               }
            }
         },
         "parent": { 
            "arn": "string",
            "pattern": "string"
         },
         "pattern": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListPackageGroups_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListPackageGroups_ResponseSyntax) **   <a name="codeartifact-ListPackageGroups-response-nextToken"></a>
 The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `\S+` 

 ** [packageGroups](#API_ListPackageGroups_ResponseSyntax) **   <a name="codeartifact-ListPackageGroups-response-packageGroups"></a>
 The list of package groups in the requested domain.   
Type: Array of [PackageGroupSummary](API_PackageGroupSummary.md) objects

## Errors
<a name="API_ListPackageGroups_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The operation did not succeed because of an unauthorized access attempt.   
HTTP Status Code: 403

 ** InternalServerException **   
 The operation did not succeed because of an error that occurred inside AWS CodeArtifact.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The operation did not succeed because the resource requested is not found in the service.     
 ** resourceId **   
 The ID of the resource.   
 ** resourceType **   
 The type of AWS resource. 
HTTP Status Code: 404

 ** ThrottlingException **   
 The operation did not succeed because too many requests are sent to the service.     
 ** retryAfterSeconds **   
 The time period, in seconds, to wait before retrying the request. 
HTTP Status Code: 429

 ** ValidationException **   
 The operation did not succeed because a parameter in the request was sent with an invalid value.     
 ** reason **   
 
HTTP Status Code: 400

## See Also
<a name="API_ListPackageGroups_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/codeartifact-2018-09-22/ListPackageGroups) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/codeartifact-2018-09-22/ListPackageGroups) 